Subject: bug#44068: 28.0.50; Faulty uses of tabulated-list-format

From: Stefan Kangas <[email-masked]>
Date: Thu, 29 Oct 2020 16:58:52 +0000

Stephen Berman <[email-masked]> writes:

> I was wrong that adjusting column widths in tabulated-list-format is
> necessary: with the attached patch, when a non-final column whose label
> is at least 3 characters long is selected, the label will get truncated
> and a sort indicator added; but the final column label will never get
> truncated and always get a sort indicator when selected.

The behavior with your patch looks like an improvement to me.  How about
the case when we narrow the column but there is no sort indicator,
should we use the ellipsis then?  See for example `list-buffers' when
using the narrowing commands without sorting on any of the headers.

> The question remains whether the truncated display in current
> (non-adjusted) uses of tabulated-list-mode is acceptable: if so, the
> patch below is all that's needed, if not, then the adjustments in my
> first patch can be made as well.

I'm not sure I understand what you mean here, could you elaborate?